Index: /trunk/src/scripts_Laura/write_netcdf_AMSUA_test.py
===================================================================
--- /trunk/src/scripts_Laura/write_netcdf_AMSUA_test.py	(revision 30)
+++ /trunk/src/scripts_Laura/write_netcdf_AMSUA_test.py	(revision 30)
@@ -0,0 +1,194 @@
+#!/usr/bin/env python
+# -*- coding: utf-8 -*-
+import string
+import numpy as np
+import matplotlib.pyplot as plt
+from pylab import *
+from mpl_toolkits.basemap import Basemap
+from mpl_toolkits.basemap import shiftgrid, cm
+from netCDF4 import Dataset
+
+
+############################
+## monthly mean emisivity ##
+############################
+month = array(['JANUARY', 'FEBRUARY', 'MARCH', 'APRIL', 'MAY', 'JUNE', 'JULY'])
+#rootgrp = Dataset ('/net/argos/data/parvati/lahlod/AMUSUA_CH1-CH15_FEB-APR-JUL_ANTARC.nc', 'w', format = 'NETCDF4')
+rootgrp = Dataset ('/net/argos/data/parvati/lahlod/AMUSUA_CH1-CH15_JAN-MAR-MAY-JUN_ANTARC.nc', 'w', format = 'NETCDF4')
+rootgrp.createDimension('longitude', len(lon))
+rootgrp.createDimension('latitude', len(lat))
+rootgrp.createDimension('channels', 2)
+rootgrp.createDimension('month', 4)
+nclon = rootgrp.createVariable('longitude', 'f8', ('longitude',))
+nclat = rootgrp.createVariable('latitude', 'f8', ('latitude',))
+ncchan = rootgrp.createVariable('channels', 'f8', ('channels',))
+ncmon = rootgrp.createVariable('month', 'f8', ('month',))
+ncemis = rootgrp.createVariable('emissivity', 'f8', ('month', 'channels', 'latitude', 'longitude'))
+nclon[:] =lon
+nclat[:] = lat
+ncchan[:] = [23.8, 89]
+ncmon[:] = [1., 2., 3., 4.]
+ncemis[:] = mean_outz2
+
+rootgrp.close()
+
+
+
+#####################
+## daily emisivity ##
+#####################
+month = array(['JANUARY', 'FEBRUARY', 'MARCH', 'APRIL', 'MAY', 'JUNE', 'JULY'])
+len_month = np.array([31, 28, 31, 30, 31, 30, 31])
+chan = array(['CH1', 'CH2'])
+lon = lonch1_JAN 
+lat = latch1_JAN 
+
+## JANUARY ##
+imo = 0
+rootgrp = Dataset ('/net/argos/data/parvati/lahlod/AMUSUA_CH1-CH15_' + month[imo] +'_fov21_ANTARC.nc', 'w', format = 'NETCDF4')
+rootgrp.createDimension('longitude', len(lon))
+rootgrp.createDimension('latitude', len(lat))
+rootgrp.createDimension('channels', len(chan))
+rootgrp.createDimension('day', len_month[imo])
+nclon = rootgrp.createVariable('longitude', 'f8', ('longitude',))
+nclat = rootgrp.createVariable('latitude', 'f8', ('latitude',))
+ncchan = rootgrp.createVariable('channels', 'f8', ('channels',))
+ncjours = rootgrp.createVariable('day', 'f8', ('day',))
+ncemis = rootgrp.createVariable('emissivity', 'f8', ('channels', 'latitude', 'longitude', 'day'))
+nclon[:] =lon
+nclat[:] = lat
+ncchan[:] = [23.8, 89]
+ncjours[:] = np.arange(0, len_month[imo], 1)
+ncemis[:] = OUTZ_JAN
+
+rootgrp.close()
+
+
+## FEBRUARY ##
+imo = 1
+rootgrp = Dataset ('/net/argos/data/parvati/lahlod/AMUSUA_CH1-CH15_' + month[imo] +'_fov21_ANTARC.nc', 'w', format = 'NETCDF4')
+rootgrp.createDimension('longitude', len(lon))
+rootgrp.createDimension('latitude', len(lat))
+rootgrp.createDimension('channels', len(chan))
+rootgrp.createDimension('day', len_month[imo])
+nclon = rootgrp.createVariable('longitude', 'f8', ('longitude',))
+nclat = rootgrp.createVariable('latitude', 'f8', ('latitude',))
+ncchan = rootgrp.createVariable('channels', 'f8', ('channels',))
+ncjours = rootgrp.createVariable('day', 'f8', ('day',))
+ncemis = rootgrp.createVariable('emissivity', 'f8', ('channels', 'latitude', 'longitude', 'day'))
+nclon[:] =lon
+nclat[:] = lat
+ncchan[:] = [23.8, 89]
+ncjours[:] = np.arange(0, len_month[imo], 1)
+ncemis[:] = OUTZ_FEB
+
+rootgrp.close()
+
+
+## MARCH ##
+imo = 2
+rootgrp = Dataset ('/net/argos/data/parvati/lahlod/AMUSUA_CH1-CH15_' + month[imo] +'_fov21_ANTARC.nc', 'w', format = 'NETCDF4')
+rootgrp.createDimension('longitude', len(lon))
+rootgrp.createDimension('latitude', len(lat))
+rootgrp.createDimension('channels', len(chan))
+rootgrp.createDimension('day', len_month[imo])
+nclon = rootgrp.createVariable('longitude', 'f8', ('longitude',))
+nclat = rootgrp.createVariable('latitude', 'f8', ('latitude',))
+ncchan = rootgrp.createVariable('channels', 'f8', ('channels',))
+ncjours = rootgrp.createVariable('day', 'f8', ('day',))
+ncemis = rootgrp.createVariable('emissivity', 'f8', ('channels', 'latitude', 'longitude', 'day'))
+nclon[:] =lon
+nclat[:] = lat
+ncchan[:] = [23.8, 89]
+ncjours[:] = np.arange(0, len_month[imo], 1)
+ncemis[:] = OUTZ_MAR
+
+rootgrp.close()
+
+
+## APRIL ##
+imo = 3
+rootgrp = Dataset ('/net/argos/data/parvati/lahlod/AMUSUA_CH1-CH15_' + month[imo] +'_fov21_ANTARC.nc', 'w', format = 'NETCDF4')
+rootgrp.createDimension('longitude', len(lon))
+rootgrp.createDimension('latitude', len(lat))
+rootgrp.createDimension('channels', len(chan))
+rootgrp.createDimension('day', len_month[imo])
+nclon = rootgrp.createVariable('longitude', 'f8', ('longitude',))
+nclat = rootgrp.createVariable('latitude', 'f8', ('latitude',))
+ncchan = rootgrp.createVariable('channels', 'f8', ('channels',))
+ncjours = rootgrp.createVariable('day', 'f8', ('day',))
+ncemis = rootgrp.createVariable('emissivity', 'f8', ('channels', 'latitude', 'longitude', 'day'))
+nclon[:] =lon
+nclat[:] = lat
+ncchan[:] = [23.8, 89]
+ncjours[:] = np.arange(0, len_month[imo], 1)
+ncemis[:] = OUTZ_APR
+
+rootgrp.close()
+
+
+## MAY ##
+imo = 4
+rootgrp = Dataset ('/net/argos/data/parvati/lahlod/AMUSUA_CH1-CH15_' + month[imo] +'_fov21_ANTARC.nc', 'w', format = 'NETCDF4')
+rootgrp.createDimension('longitude', len(lon))
+rootgrp.createDimension('latitude', len(lat))
+rootgrp.createDimension('channels', len(chan))
+rootgrp.createDimension('day', len_month[imo])
+nclon = rootgrp.createVariable('longitude', 'f8', ('longitude',))
+nclat = rootgrp.createVariable('latitude', 'f8', ('latitude',))
+ncchan = rootgrp.createVariable('channels', 'f8', ('channels',))
+ncjours = rootgrp.createVariable('day', 'f8', ('day',))
+ncemis = rootgrp.createVariable('emissivity', 'f8', ('channels', 'latitude', 'longitude', 'day'))
+nclon[:] =lon
+nclat[:] = lat
+ncchan[:] = [23.8, 89]
+ncjours[:] = np.arange(0, len_month[imo], 1)
+ncemis[:] = OUTZ_MAY
+
+rootgrp.close()
+
+
+## JUNE ##
+imo = 5
+rootgrp = Dataset ('/net/argos/data/parvati/lahlod/AMUSUA_CH1-CH15_' + month[imo] +'_fov21_ANTARC.nc', 'w', format = 'NETCDF4')
+rootgrp.createDimension('longitude', len(lon))
+rootgrp.createDimension('latitude', len(lat))
+rootgrp.createDimension('channels', len(chan))
+rootgrp.createDimension('day', len_month[imo])
+nclon = rootgrp.createVariable('longitude', 'f8', ('longitude',))
+nclat = rootgrp.createVariable('latitude', 'f8', ('latitude',))
+ncchan = rootgrp.createVariable('channels', 'f8', ('channels',))
+ncjours = rootgrp.createVariable('day', 'f8', ('day',))
+ncemis = rootgrp.createVariable('emissivity', 'f8', ('channels', 'latitude', 'longitude', 'day'))
+nclon[:] =lon
+nclat[:] = lat
+ncchan[:] = [23.8, 89]
+ncjours[:] = np.arange(0, len_month[imo], 1)
+ncemis[:] = OUTZ_JUN
+
+rootgrp.close()
+
+
+## JUlY##
+imo = 6
+rootgrp = Dataset ('/net/argos/data/parvati/lahlod/AMUSUA_CH1-CH15_' + month[imo] +'_fov21_ANTARC.nc', 'w', format = 'NETCDF4')
+rootgrp.createDimension('longitude', len(lon))
+rootgrp.createDimension('latitude', len(lat))
+rootgrp.createDimension('channels', len(chan))
+rootgrp.createDimension('day', len_month[imo])
+nclon = rootgrp.createVariable('longitude', 'f8', ('longitude',))
+nclat = rootgrp.createVariable('latitude', 'f8', ('latitude',))
+ncchan = rootgrp.createVariable('channels', 'f8', ('channels',))
+ncjours = rootgrp.createVariable('day', 'f8', ('day',))
+ncemis = rootgrp.createVariable('emissivity', 'f8', ('channels', 'latitude', 'longitude', 'day'))
+nclon[:] =lon
+nclat[:] = lat
+ncchan[:] = [23.8, 89]
+ncjours[:] = np.arange(0, len_month[imo], 1)
+ncemis[:] = OUTZ_JUL
+
+rootgrp.close()
+
+
+
+
